# Class: MoneroAltChain

## MoneroAltChain()

Models an alternative chain seen by the node.

## Constructor

#### new MoneroAltChain()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 6

### Methods

#### getBlockHashes()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 20

#### getDifficulty()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 29

#### getHeight()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 38

#### getLength()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 47

#### getMainChainParentBlockHash()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 56

#### setBlockHashes()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 24

#### setDifficulty()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 33

#### setHeight()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 42

#### setLength()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 51

#### setMainChainParentBlockHash()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 60

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroAltChain.js, line 14